EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

    ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a folder and an "open e-book" (OEB) consisting of HTML files is written to that folder. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see E-book conversion

Whenever you pass arguments to ebook-convert that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

The options and default values for the options change depending on both the input and output formats, so you should always check with:

    ebook-convert myfile.input_format myfile.output_format -h

Below are the options that are common to all conversion, followed by the options specific to every input and output format.

•   VALG FOR INNDATA

•   VALG FOR UTDATA

•   UTSEENDE OG FØLELSE

•   HEURISTIC PROCESSING

•   SØK OG ERSTATT

•   STRUCTURE DETECTION

•   INNHOLDSFORTEGNELSE

•   METADATA

•   FEILSØK

--help, -h
    show this help message and exit

--input-profile
    Spesifiser inndataprofilen. Inndataprofilen gir konverteringssystemet informasjon om hvordan tolke den varierende informasjonen i inndatadokumentet. For eksempel oppløsningens avhengighet (for eksempel lengde i piksler). Valgmulighetene er: cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    List builtin recipe names. You can create an e-book from a builtin recipe like this: ebook-convert "Recipe Name.recipe" output.epub

--output-profile
    Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device. In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_scribe, kindle_voyage, kobo, tablet, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_inkpad3, pocketbook_lux, pocketbook_hd, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3

--version
    show program's version number and exit

VALG FOR INNDATA

Valgmuligheter for å kontrollere prosesseringen av inndata mobi filen

--input-encoding
    Spesifiser tegnsettkoden til dokumentet. Om valgt, vil dette valget overskrive enhver koding laget av dokumentet selv. Det er spesielt nyttig for dokumenter som ikke angir et kodesett eller som viser feilmeldinger.

VALG FOR UTDATA

Valgmuligheter for å kontrollere prosesseringen av utdata epub

--dont-split-on-page-breaks
    Turn off splitting at page breaks. Normally, input files are automatically split at every page break into two files. This gives an output e-book that can be parsed faster and with less resources. However, splitting is slow and if your source file contains a very large number of page breaks, you should turn off splitting on page breaks.

--epub-flatten
    Dette valget behøves kun dersom du ønkser å benytte EPUB med FBReaderj. Det vil redusere filsystemet i EPUB ved at det setter alle filer til toppnivå.

--epub-inline-toc
    Insert an inline Table of Contents that will appear as part of the main book content.

--epub-max-image-size
    The maximum image size (width x height). A value of none means use the screen size from the output profile. A value of profile means no maximum size is specified. For example, a value of 100x200 will cause all images to be resized so that their width is no more than 100 pixels and their height is no more than 200 pixels. Note that this only affects the size of the actual image files themselves. Any given image may be rendered at a different size depending on the styling applied to it in the document.

--epub-toc-at-end
    Put the inserted inline Table of Contents at the end of the book instead of the start.

--epub-version
    The version of the EPUB file to generate. EPUB 2 is the most widely compatible, only use EPUB 3 if you know you actually need it.

--extract-to
    Extract the contents of the generated EPUB file to the specified folder. The contents of the folder are first deleted, so be careful.

--flow-size
    Split all HTML files larger than this size (in KB). This is necessary as most EPUB readers cannot handle large file sizes. The default of 260KB is the size required for Adobe Digital Editions. Set to 0 to disable size based splitting.

--no-default-epub-cover
    Normalt, dersom inndatafilen ikke har noe omslag, og du ikke ønsker å spesifisere ett, så vil et standard omslag bli generert med tittel, forfatter osv. Dette valget slår av genereringen av dette omslaget.

--no-svg-cover
    Bruk ikke SVG til bokomslaget. Dette valget dersom din EPUB skal benyttes på en enhet som ikke støtter SVG, som iPhone eller JetBook Lite. Uten dette valget vil slike enheter vise omslaget som en tom side.

--preserve-cover-aspect-ratio
    Når SVG omslag benyttes, vil dette valget gjøre at omslaget skaleres til å benytte hele skjermområdet, men fortsatt beholde dets aspektområde (høyde og bredde). Dette betyr at det kan oppstå hvite avgrensninger på sidene, toppen og bunnen av et bilde, men bildet vil ikke bli forskjøvet. Uten dette valget kan bildet bli noe forskjøvet, men ingen avgrensninger vil oppstå.

--pretty-print
    Om spesifisert, vil Utdata programtillegget forsøke å lage data som er så lesbart som mulig. Det er mulig at dette ikke har effekt for enkelte av programtilleggene.

--toc-title
    Title for any generated inline table of contents.

UTSEENDE OG FØLELSE

Valgmuligheter for å kontrollere utseendeinnstillinger for utdata

--asciiize
    Transliterate Unicode characters to an ASCII representation. Use with care because this will replace Unicode characters with ASCII. For instance it will replace "Pelé" with "Pele". Also, note that in cases where there are multiple representations of a character (characters shared by Chinese and Japanese for instance) the representation based on the current calibre interface language will be used.

--base-font-size
    The base font size in pts. All font sizes in the produced book will be rescaled based on this size. By choosing a larger size you can make the fonts in the output bigger and vice versa. By default, when the value is zero, the base font size is chosen based on the output profile you chose.

--change-justification
    Forandre tekstjustering. en verdi for "venstre" endrer all justert tekst i kilden til venstrejustert tekst (f.eks. ujustert). En verdi for "juster" endrer all ujustert tekst til justert. en verdi for "original" (standard) forandrer ikke justeringen i kildefilen. Legg merke til at kun noen utdataformater støtter justeringer.

--disable-font-rescaling
    Slå av all omskalering av fontstørrelser.

--embed-all-fonts
    Embed every font that is referenced in the input document but not already embedded. This will search your system for the fonts, and if found, they will be embedded. Embedding will only work if the format you are converting to supports embedded fonts, such as EPUB, AZW3, DOCX or PDF. Please ensure that you have the proper license for embedding the fonts used in this document.

--embed-font-family
    Embed the specified font family into the book. This specifies the "base" font used for the book. If the input document specifies its own fonts, they may override this base font. You can use the filter style information option to remove fonts from the input document. Note that font embedding only works with some output formats, principally EPUB, AZW3 and DOCX.

--expand-css
    By default, calibre will use the shorthand form for various CSS properties such as margin, padding, border, etc. This option will cause it to use the full expanded form instead. Note that CSS is always expanded when generating EPUB files with the output profile set to one of the Nook profiles as the Nook cannot handle shorthand CSS.

--extra-css
    Enten stien til CSS stilsett eller rå CSS. Denne CSSen vil bli avhengig av stilsettreglene fra kildefilen, slik at den kan bli brukt til å tilsidesette disse reglene.

--filter-css
    A comma separated list of CSS properties that will be removed from all CSS style rules. This is useful if the presence of some style information prevents it from being overridden on your device. For example: font-family,color,margin-left,margin-right

--font-size-mapping
    Kartlegging fra CSS fontnavn til fontstørrelser i poeng. Et eksempel på innstillinger er 12,12,14,16,18,20,22,24. Dette er kartleggingen for størrelsene xx-liten til xx-stor, med den siste størrelsen som store fonter. Font-omskaleringsalgoritmene benytter disse størrelsene til å omskalere fontene på en hensiktsmessig måte. Standard er å benytte kartleggingen basert på utdataprofilen du benytter.

--insert-blank-line
    Sett inn en blank linje mellom avsnitt. Dette vil ikke fungere dersom kildefilen ikke benytter avsnitt (<p> eller <div> tagger).

--insert-blank-line-size
    Set the height of the inserted blank lines (in em). The height of the lines between paragraphs will be twice the value set here.

--keep-ligatures
    Preserve ligatures present in the input document. A ligature is a combined character of a pair of characters like ff, fi, fl et cetera. Most readers do not have support for ligatures in their default fonts, so they are unlikely to render correctly. By default, calibre will turn a ligature into the corresponding pair of normal characters. Note that ligatures here mean only unicode ligatures not ligatures created via CSS or font styles. This option will preserve them instead.

--line-height
    Linjehøyde i poeng. Kontrollerer avstanden mellom påfølgende linjer med tekst. Dette gjelder kun elementer som ikke definerer sin egen linjehøyde. I de fleste tilfeller er valget med minimum linjehøyde det mest anvendelige. Som standard benyttes ikke manipulasjon av linjehøyde.

--linearize-tables
    Noen dårlig utformede dokumenter benytter tabeller til å styre formgivingen av teksten i en side. Når man konverterer disse dokumentene, vil disse dokumentene ofte ha tekst som strekker seg utover bokkantene, samt andre artefakter. Dette valget vil utvinne innholdet fra tabellene og presentere det på en lineær måte.

--margin-bottom
    Set the bottom margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-left
    Set the left margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-right
    Set the right margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-top
    Set the top margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--minimum-line-height
    Den minste linjehøyden som prosenttall av elementets kalkulerte tegnstørrelse. calibre vil sikre at hvert element har en linjehøyde med minst denne innstillingen, uansett hva inndata-dokumentet spesifiserer. Sett null for å slå av. Standard er 120%. Benytt denne innstillingen i innstillingene til den direkte linjehøydens spesifikasjon, om du ikke vet hva du gjør. For eksempel så kan du få dobbel linjeavstand ved å sette innstillingen til 240.

--remove-paragraph-spacing
    Fjern avstand mellom avsnitt. Setter også en kommando for avsnitt på 1,5. Avstandsfjerning vil ikke fungere dersom kildefilen ikke benytter avsnitt (<p> eller <div> emndeord).

--remove-paragraph-spacing-indent-size
    When calibre removes blank lines between paragraphs, it automatically sets a paragraph indent, to ensure that paragraphs can be easily distinguished. This option controls the width of that indent (in em). If you set this value negative, then the indent specified in the input document is used, that is, calibre does not change the indentation.

--smarten-punctuation
    Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see https://daringfireball.net/projects/smartypants.

--subset-embedded-fonts
    Subset all embedded fonts. Every embedded font is reduced to contain only the glyphs used in this document. This decreases the size of the font files. Useful if you are embedding a particularly large font with lots of unused glyphs.

--transform-css-rules
    Path to a file containing rules to transform the CSS styles in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform styles" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--transform-html-rules
    Path to a file containing rules to transform the HTML in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform HTML" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--unsmarten-punctuation
    Convert fancy quotes, dashes and ellipsis to their plain equivalents.

HEURISTIC PROCESSING

Modify the document text and structure using common patterns. Disabled by default. Use --enable-heuristics to enable. Individual actions can be disabled with the --disable-* options.

--disable-dehyphenate
    Analyser ord med bindestrek i dokumentet. Dokumentet selv benyttes som ordbok for å avgjøre om en bindestrek skal beholdes eller fjernes.

--disable-delete-blank-paragraphs
    Fjern tomme avsnitt fra dokumentet når de finnes mellom annenhvert avsnitt

--disable-fix-indents
    Gjør om innrykk laget fra flere sidebrytinger til CSS-innrykk.

--disable-format-scene-breaks
    Left aligned scene break markers are center aligned. Replace soft scene breaks that use multiple blank lines with horizontal rules.

--disable-italicize-common-cases
    Søk etter vanlige ord og mønstre som noterer seg skråskrift og gjør dem om til skråskrift.

--disable-markup-chapter-headings
    Finn uformaterte kapitteloverskrifter og undertekst til overskrifter. Forandre dem til h2 og h3 nøkkelord. Denne innstillingen vil ikke lage en TOC, men kan benyttes i sammenheng med strukturdeteksjon for å lage en.

--disable-renumber-headings
    Ser etter hendelser av etterfølgende <h1> eller <h2> tagger. Taggene blir omnummerert for å hindre splittelse av kapitteloverskriftenes senter.

--disable-unwrap-lines
    Pakk opp linjer som bruker interpunksjon og andre formateringsspor.

--enable-heuristics
    Slå på heuristisk oppgavekjøring. Dette valget må legges inn før noen heuristiske oppgaver kan kjøres.

--html-unwrap-factor
    Skala brukt for å bestemme lengden som en linje skal pakkes opp. Gyldige verdier er et desimal mellom 0 og 1. Standard er 0.4, like under medianlinjens lengde. Dersom bare noen få linjer i dokumentet behøves pakkes opp, bør denne verdien reduseres.

--replace-scene-breaks
    Replace scene breaks with the specified text. By default, the text from the input document is used.

SØK OG ERSTATT

Modifiser dokumentets tekst og struktur ved å benytte egendefinerte mønstre.

--search-replace
    Path to a file containing search and replace regular expressions. The file must contain alternating lines of regular expression followed by replacement pattern (which can be an empty line). The regular expression must be in the Python regex syntax and the file must be UTF-8 encoded.

--sr1-replace
    Erstatning for å erstatte tekst funnet med srl-søk.

--sr1-search
    Søker etter mønster (ordinære uttrykk) som skal erstattes med srl-replace.

--sr2-replace
    Erstatning for å erstatte tekst funnet med sr2-søk.

--sr2-search
    Søk etter mønster (regulære uttrykk) som skal erstattes med sr2-replace.

--sr3-replace
    Erstatning for å erstatte tekst funnet med sr3-søk.

--sr3-search
    Søk etter mønster (regulært uttrykk) som skal erstattes med sr3-erstatning.

STRUCTURE DETECTION

Kontrollerer auto detektering av dokument strukturen.

--add-alt-text-to-img
    When an <img> tag has no alt attribute, check the associated image file for metadata that specifies alternate text, and use it to fill in the alt attribute. The alt attribute is used by screen readers for assisting the visually challenged.

--chapter
    An XPath expression to detect chapter titles. The default is to consider <h1> or <h2> tags that contain the words "chapter", "book", "section", "prologue", "epilogue" or "part" as chapter titles as well as any tags that have class="chapter". The expression used must evaluate to a list of elements. To disable chapter detection, use the expression "/". See the XPath Tutorial in the calibre User Manual for further help on using this feature.

--chapter-mark
    Spesifiser hvordan å markere detekterte kapitler. Verdien "pagebreak" vil sette inn sideavslutning før kapitler. Verdien "rule" vil sette inn en linje før kapitler. Verdien "none" vil ikke medføre kapittel markering og verdien "both" vil bruke både sideavslutning og linjer for å markere kapitler.

--disable-remove-fake-margins
    Some documents specify page margins by specifying a left and right margin on each individual paragraph. calibre will try to detect and remove these margins. Sometimes, this can cause the removal of margins that should not have been removed. In this case you can disable the removal.

--insert-metadata
    Insert the book metadata at the start of the book. This is useful if your e-book reader does not support displaying/searching metadata directly.

--page-breaks-before
    An XPath expression. Page breaks are inserted before the specified elements. To disable use the expression: /

--prefer-metadata-cover
    Bruk omslagsbilde fra kildefilen fremfor spesifisert omslagsbilde.

--remove-first-image
    Remove the first image from the input e-book. Useful if the input document has a cover image that is not identified as a cover. In this case, if you set a cover in calibre, the output document will end up with two cover images if you do not specify this option.

--start-reading-at
    An XPath expression to detect the location in the document at which to start reading. Some e-book reading programs (most prominently the Kindle) use this location as the position at which to open the book. See the XPath tutorial in the calibre User Manual for further help using this feature.

INNHOLDSFORTEGNELSE

Kontroller automatisk generering av innholdsliste. Som standardvalg, dersom kildefilen har en innholdsliste, vil denne bli benyttet som preferanse til den automatiske genererte versjonen.

--duplicate-links-in-toc
    When creating a TOC from links in the input document, allow duplicate entries, i.e. allow more than one entry with the same text, provided that they point to a different location.

--level1-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level one. If this is specified, it takes precedence over other forms of auto-detection. See the XPath Tutorial in the calibre User Manual for examples.

--level2-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level two. Each entry is added under the previous level one entry. See the XPath Tutorial in the calibre User Manual for examples.

--level3-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level three. Each entry is added under the previous level two entry. See the XPath Tutorial in the calibre User Manual for examples.

--max-toc-links
    Høyeste antall lenker som legges til TOC. Sett 0 for å slå av. Standard er: 50. Lenker legges kun til TOC dersom færre enn terskelantallet for kapitler har blitt oppdaget.

--no-chapters-in-toc
    Ikke legg til automatisk oppdagede kapitler til innholdsregisteret.

--toc-filter
    Fjern oppføringer fra innholdsfortegnelsen hvis titler samsvarer med de spesifiserte vanlige uttrykkene. Samsvarende oppføringer og alle deres under-uttrykk er fjernet.

--toc-threshold
    Om færre enn dette antallet kapitler blir oppdaget, legges lenker til innholdsfortegnelsen. Standard: 6

--use-auto-toc
    Normalt, om kildefilen allerede har en innholdsliste, benyttes den som preferanse til den auto-genererte listen. Med dette valget blir den auto-genererte alltid benyttet.

METADATA

Valgmuligheter for å legge inn metadata i utdatafilen

--author-sort
    Streng som skal benyttes når man sorterer etter forfatter.

--authors
    Sett inn forfatter. Om flere forfattere skal benyttes, må disse separeres med et-tegnet - &

--book-producer
    Legg inn bokprodusent.

--comments
    Set the e-book description.

--cover
    Legg inn forsidebilde til den spesifiserte filen eller URL adressen

--isbn
    Legg inn ISBN for boken.

--language
    Velg språk

--pubdate
    Set the publication date (assumed to be in the local timezone, unless the timezone is explicitly specified)

--publisher
    Set the e-book publisher.

--rating
    Legg inn bedømmelse. Må være et nummer mellom 1 og 5.

--read-metadata-from-opf, --from-opf, -m
    Les metadata fra den spesifiserte OPF filen. Metadata lest fra denne filen vil overskrive alle metadata i kildefilen.

--series
    Set the series this e-book belongs to.

--series-index
    Legg inn indeksen til boken i denne serien.

--tags
    Legg inn emneord for boken. Benytt en kommaseparert listing.

--timestamp
    Set the book timestamp (no longer used anywhere)

--title
    Bestem tittelen.

--title-sort
    Tittelversjonen som skal benyttes til sortering.

FEILSØK

Valgmuligheter for hjelp med feilsøk av konverteringen

--debug-pipeline, -d
    Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring.

--verbose, -v
    Level of verbosity. Specify multiple times for greater verbosity. Specifying it twice will result in full verbosity, once medium verbosity and zero times least verbosity.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal